{% extends "page.html" %}
{% from 'components.html' import paginator with context %}
{% from 'components.html' import list_people with context %}
{% block title %}
    {{ g.site.short_name }}
    -
    {{ tag.name }}
{% endblock %}
{% block content %}
    <div class="row justify-content-between mb-3" data-mode="view">
        <form class="single-value-property col-10" id="tag-info" data-tag="{{ tag|tojson|forceescape }}">
            <div class="input-group ml-3">
                <a
                    href="{{ url_for('web.tag', name=tag.name) }}"
                    class="btn btn-tag my-2 btn-lg contenteditable-on-edit font-weight-bold"
                    data-tag="{{ tag.name }}">
                    {{ tag.name }}
                </a>
                {% if user_info and tag.name not in user_info.tags | map(attribute = 'name') %}
                    <span
                        class="fas fa-user-plus icon-link add-user-tag text-muted form-control-lg mt-3 mr-3"
                        data-user="{{ user_info.crsid }}"
                        data-tag="{{ tag.name }}"
                        title="Add to my tags!"></span>
                {% endif %}
                <div data-type="tag" class="dropdown mailto-select">
                    <a
                        class="far fa-envelope icon-link text-muted form-control-lg mt-3"
                        data-toggle="dropdown"
                        title="Compose an email to all tag members"></a>
                    <div class="dropdown-menu">
                        <h5 class="dropdown-header">Select your mail client:</h5>
                        <button class="dropdown-item desktop-client-link" type="button" disabled="disabled">Any Client</button>
                        <a class="dropdown-item disabled outlook-link">Outlook Webmail</a>
                        <a class="dropdown-item disabled hermes-link">Hermes Webmail</a>
                        <a class="dropdown-item disabled teams-chat-link">Teams Chat</a>
                        <a class="dropdown-item disabled teams-meeting-link">Teams Meeting</a>
                    </div>
                </div>
            </div>
            <div class="input-group editable-field ml-3">
                <input
                    type="text"
                    class="form-control form-control-lg font-weight-bold readonly-on-view"
                    id="input-tag-description"
                    title="Tag description"
                    placeholder="Tag description"
                    name="description"
                    value="{{ tag.description or '' }}"
                    size="40"
                    readonly="readonly"/>
                <div class="input-group-append hide-on-view">
                    <button type="submit" class="btn btn-outline-secondary">Update</button>
                </div>
            </div>
        </form>
        {% if get_current_user() in config.SUPER_ADMINISTRATORS %}
            <div class="my-3">
                <button class="text-muted text-nowrap btn btn-lg btn-light px-2 py-1" id="edit-toggle">
                    <span class="fas fa-edit"></span>&nbsp;Edit</button>
            </div>
        {% endif %}
    </div>
    <div class="row justify-content-end mb-3">
        {{ paginator('web.tag', pagination) }}
    </div>
    {% if tag_people %}
        {{ list_people(tag_people) }}
    {% else %}
        <div>
            <a href="{{ url_for('web.tags') }}" class="text-center">
                <h5>No Results
                </h5>
            </a>
        </div>
    {% endif %}
    <div class="row justify-content-end mt-3">
        {{ paginator('web.tag', pagination) }}
    </div>
{% endblock %}